Subject: Re: bug#34001: 26.1.90; :distant-foreground face property fails to work in most cases

From: Federico Tedin <[email-masked]>
Date: Fri, 1 Mar 2019 09:44:30 -0300

Thanks Eli!

I have a question regarding commit messages and documentation: should I
include them in the first iteration of the patch I created, or should I
wait until there’s been some conversation first?  Until now I’ve chosen the
first option since I’m not always sure the patch I created is
correct/applicable/etc.

On Fri, 1 Mar 2019 at 05:40 Eli Zaretskii <[email-masked]> wrote:

> > From: Federico Tedin <[email-masked]>
> > Date: Tue, 15 Jan 2019 22:08:15 -0300
> >
> > I've created a patch that introduces a new variable
> > `face-near-same-color-threshold', with a default value of 30000 (as was
> > defined in NEAR_SAME_COLOR_THRESHOLD in xfaces.c). Changing this
> > variable's value will make certain color combinations be considered as
> > 'same', which will lead to :distant-foreground being used. For example:
>
> Sorry for the long delay, I've now pushed your change to the master
> branch.
>
> Please in the future provide a ChangeLog-style commit log message for
> your changes, and also accompany them with the pertinent updates for
> the documentation.  I did that for this change.
>
> Thanks again for working on this.
>